Bug 139112 - python bindings segfault/give bad results
python bindings segfault/give bad results
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 18:12 EST by Enrico Scholz
Modified: 2008-05-06 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the mentioned program... (1.30 KB, text/plain)
2004-11-12 18:14 EST, Enrico Scholz
no flags Details

  None (edit)
Description Enrico Scholz 2004-11-12 18:12:56 EST
Description of problem:

That's a copy from the upstream bugreport at
http://marc.theaimsgroup.com/?l=subversion-dev&m=110013936716919&w=2

===========

the program at http://www-user.tu-chemnitz.de/~ensc/pysvn.py segfaults
in some environments, or gives wrong results in other ones:

| [ensc@kosh python]$ python xxx.py 
| 1
| 1
| 2 2004-11-11T01:09:35.099407Z
| Segmentation fault


| [ensc@morden python]$ python xxx.py 
| 1
| 1
| 2 2004-11-11T01:10:02.106619Z
| 0 None

In a more complex program, I get '3148 \x1a' in the last line...

I would expect SVN_INVALID_REVNUM (-1) there. Executing the 'svn commit'
on the CLI succeeds without segfaulting.



Version-Release number of selected component (if applicable):

subversion-1.1.1-2
neon-0.24.7-3
apr-0.9.4-21
Comment 1 Enrico Scholz 2004-11-12 18:14:20 EST
Created attachment 106618 [details]
the mentioned program...
Comment 2 Enrico Scholz 2004-11-12 18:43:51 EST
some more details from gdb:

[New Thread 16384 (LWP 32090)]
(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...1
1
2 2004-11-12T23:46:03.093864Z

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 32090)]
0x4052e6dd in _wrap_svn_client_commit_info_t_revision_get (self=0x0, args=0x4)
    at subversion/bindings/swig/python/svn_client.c:1260
1260        result = (svn_revnum_t) ((arg1)->revision);
(gdb) bt
#0  0x4052e6dd in _wrap_svn_client_commit_info_t_revision_get (self=0x0, args=0x4)
    at subversion/bindings/swig/python/svn_client.c:1260
#1  0x4007a991 in PyCFunction_Call () from /usr/lib/libpython2.3.so.1.0
#2  0x40057617 in PyObject_Call () from /usr/lib/libpython2.3.so.1.0
#3  0x400576e4 in PyObject_CallFunction () from /usr/lib/libpython2.3.so.1.0
#4  0x40062ca0 in PyDictProxy_New () from /usr/lib/libpython2.3.so.1.0
#5  0x4007d76d in PyObject_GenericGetAttr () from /usr/lib/libpython2.3.so.1.0
#6  0x4008f3c0 in _PyObject_SlotCompare () from /usr/lib/libpython2.3.so.1.0
#7  0x4007cd94 in PyObject_GetAttr () from /usr/lib/libpython2.3.so.1.0
#8  0x400ab7ca in _PyEval_SliceIndex () from /usr/lib/libpython2.3.so.1.0
#9  0x400af0ae in PyEval_EvalCodeEx () from /usr/lib/libpython2.3.so.1.0
#10 0x400af372 in PyEval_EvalCode () from /usr/lib/libpython2.3.so.1.0
#11 0x400c88b7 in PyErr_Display () from /usr/lib/libpython2.3.so.1.0
#12 0x400c99e2 in PyRun_SimpleFileExFlags () from /usr/lib/libpython2.3.so.1.0
#13 0x400caa34 in PyRun_AnyFileExFlags () from /usr/lib/libpython2.3.so.1.0
#14 0x400cf72e in Py_Main () from /usr/lib/libpython2.3.so.1.0
#15 0x080485b2 in main ()
(gdb) p arg1
$2 = (svn_client_commit_info_t *) 0x4
Comment 3 Max Bowsher 2005-01-16 04:17:53 EST
Now tracked upstream at:
http://subversion.tigris.org/issues/show_bug.cgi?id=2200

Would someone with the appropriate permissions please set this issue
RESOLVED UPSTREAM.
Comment 4 Warren Togami 2005-01-16 05:07:45 EST
The entire concept of RESOLVED UPSTREAM is just very bad and I
personally refuse to use it.  It really needs to be rethunk.
Comment 5 Joe Orton 2005-01-16 12:59:29 EST
s/rethunk/removed, some "needinfo"-like state "pending upstream" is
really all it should have been.  I'll close this bug when a release
ships with the fix.  Thanks for upstreaming, Max.
Comment 6 Lieven Govaerts 2007-11-20 17:59:16 EST
This issue got fixed in svn trunk r27951. The fix will be included in Subversion
1.5.
Comment 7 Bug Zapper 2008-04-03 11:46:00 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 20:03:26 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.